FROM golang:latest

LABEL maintainer="Michel Filipe <eu@michel.io>"

ARG ALLOWED_ORIGIN=http://localhost:3000
ARG REDIS_ADDR=localhost:6379
ENV ALLOWED_ORIGIN=${ALLOWED_ORIGIN} \
    REDIS_ADDR=${REDIS_ADDR}

WORKDIR /go/src/app
COPY . .

RUN go get ./... && \
    go build .

EXPOSE 8080

CMD ["backend"]